FreeMat

- Main Page
- Related Pages

FULLFILE Build a Full Filename From Pieces

Section: Operating System Functions

# Usage

The `fullfile` routine constructs a full filename from a set of pieces, namely, directory names and a filename. The syntax is:

      x = fullfile(dir1,dir2,...,dirn,filename)

where each of the arguments are strings. The `fullfile` function is equivalent to `[dir1 dirsep dir2 dirsep ... dirn dirsep filename]`.

# Example

    --> fullfile('path','to','my','file.m')

    ans =
    path/to/my/file.m